# pqxx::prepare::internal::prepared_def::prepared_def::param Struct Reference

Parameter definition. More...

`#include <prepared_statement.hxx>`

List of all members.

## Public Member Functions
| param (const std::string &SQLtype, param_treatment)
## Public Attributes
std::string | sqltype
param_treatment | treatment

## Detailed Description

Parameter definition.

## Constructor & Destructor Documentation

pqxx::prepare::internal::prepared_def::prepared_def::param::param | ( | const std::string & | SQLtype,
|  | param_treatment | Treatment |
| ) |  |  |

## Member Data Documentation

std ::string pqxx::prepare::internal::prepared_def::prepared_def::param::sqltype

param_treatment pqxx::prepare::internal::prepared_def::prepared_def::param::treatment

The documentation for this struct was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx